Update Organization
Change the name of the organization.
Required permission:
org.write
Path Parameters
OrganizationID is the unique identifier of the organization to be updated.
Request Body
application/json
Name is the new name for the organization to be set. Note that since the name is used to generate the organization's default domain, changing the name will also change the domain. Additionally, if the domain is used as suffix for user logins, their login names will also change accordingly. It will not affect any Organization Domains added to the organization.
Response Body
application/json
curl -X POST "https://loading/v2/organizations/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"changeDate": "2023-01-15T01:30:15.01Z"
}Was this page helpful?
Set Organization Metadata
Set Organization Metadata: Sets a list of key value pairs. Existing metadata entries with matching keys are overwritten. Existing metadata entries without matching keys are untouched. To remove existing metadata entries, pas...
Verify Organization Domain
Verify Organization Domain: Make sure you have added the required verification to your domain, depending on the method you have chosen (HTTP or DNS challenge). Zitadel will check it and set the domain as verified if it was su...